%define pypi_name notebook

Name:           jupyter-notebook
Version:        4.2.0
%define         subrel 1
Release:        %mkrel 1
Group:          Development/Python
Summary:        Jupyter web-based notebook environment (tools)

License:        BSD
URL:            http://jupyter.org/
Source0:        https://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:	python-ipython_genutils
BuildRequires:	python3-ipython_genutils
Requires:       python3-%{name} = %{version}-%{release}

Patch0:         0001-use-setuptools-for-everything-so-the-python-Depends-.patch
# (kekepower) 2018-03-18
# Taken and backported from upstream commit
# https://github.com/jupyter/notebook/commit/4e79ebb49acac722b37b03f1fe811e67590d3831
Patch1:         CVE-2018-8768-mga.patch

%description
The Jupyter Notebook is a web application that allows you to create 
and share documents that contain live code, equations, visualizations, 
and explanatory text. The Notebook has support for multiple programming
languages, sharing, and interactive widgets.

This package contains the jupyter-notebook tool.

%package -n     python2-%{name}
Summary:        Jupyter web-based notebook environment (Python 2)

%description -n python2-%{name}
The Jupyter Notebook is a web application that allows you to create 
and share documents that contain live code, equations, visualizations, 
and explanatory text. The Notebook has support for multiple programming
languages, sharing, and interactive widgets.

This package installs the library for Python 2.

%package -n     python3-%{name}
Summary:        Jupyter web-based notebook environment (Python 3)

%description -n python3-%{name}
The Jupyter Notebook is a web application that allows you to create 
and share documents that contain live code, equations, visualizations, 
and explanatory text. The Notebook has support for multiple programming
languages, sharing, and interactive widgets.

This package installs the library for Python 3.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%{_bindir}/jupyter-notebook
%{_bindir}/jupyter-nbextension
%{_bindir}/jupyter-serverextension


%files -n python2-%{name}
%license COPYING.md
%{python2_sitelib}/


%files -n python3-%{name}
%license COPYING.md
%{python3_sitelib}/




%changelog
* Sun Mar 18 2018 kekepower <kekepower> 4.2.0-1.1.mga6
  (not released yet)
+ Revision: 1210307
- Backported upstream patch to fix CVE-2018-8768 (mga#22780)
- Added BR for ipython_genutils
- Cleaned up the spec file a little

* Mon Apr 18 2016 philippem <philippem> 4.2.0-1.mga6
+ Revision: 1003478
- imported package jupyter-notebook

